// CheckAnswerPage2.cpp : implementation file
//

#include "stdafx.h"
#include "PlugIIC.h"
#include "CheckAnswerPage2.h"
#include "IICSetupSheet.h"
#include "BusData.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
extern PLUGINSTATUS pluginstatus;
/////////////////////////////////////////////////////////////////////////////
// CCheckAnswerPage2 property page

IMPLEMENT_DYNCREATE(CCheckAnswerPage2, CPropertyPage)

CCheckAnswerPage2::CCheckAnswerPage2() : CPropertyPage(CCheckAnswerPage2::IDD)
{
	//{{AFX_DATA_INIT(CCheckAnswerPage2)
	m_answercode = _T("");
	//}}AFX_DATA_INIT
	m_psp.dwFlags |= PSP_HASHELP;
	m_bActive=false;
}
CCheckAnswerPage2::CCheckAnswerPage2( UINT IDD, UINT nIDCaption): CPropertyPage(IDD)
{
	//{{AFX_DATA_INIT(CCheckAnswerPage2)
	m_answercode = _T("");
	//}}AFX_DATA_INIT
	m_psp.dwFlags |= PSP_HASHELP;
	m_bActive=false;
}
CCheckAnswerPage2::~CCheckAnswerPage2()
{

}

void CCheckAnswerPage2::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCheckAnswerPage2)
	DDX_Text(pDX, IDC_EDIT_ANSWERCODE, m_answercode);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCheckAnswerPage2, CPropertyPage)
	//{{AFX_MSG_MAP(CCheckAnswerPage2)
	ON_WM_MOUSEMOVE()
	ON_WM_LBUTTONDOWN()
	ON_WM_CTLCOLOR()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCheckAnswerPage2 message handlers

void CCheckAnswerPage2::OnMouseMove(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
	//Erase the  NEUTRALITY symbol

	CPropertyPage::OnMouseMove(nFlags, point);
}

void CCheckAnswerPage2::OnLButtonDown(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
		//Erase the  NEUTRALITY symbol

	CPropertyPage::OnLButtonDown(nFlags, point);
}

HBRUSH CCheckAnswerPage2::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor) 
{
	HBRUSH hbr = CPropertyPage::OnCtlColor(pDC, pWnd, nCtlColor);
	
	// TODO: Change any attributes of the DC here
	if(pWnd->GetDlgCtrlID() == IDC_STATIC_EMAIL2||pWnd->GetDlgCtrlID() ==IDC_STATIC_WEBSITE2)
	{
		pDC->SetTextColor(RGB(0,0,255));
	}
	// TODO: Return a different brush if the default is not desired
	return hbr;
}
BOOL CCheckAnswerPage2::HitTestCtrlItem(int nID, POINT pt)
{
	HWND             hWnd;
	RECT             rect;

	hWnd = ::GetDlgItem(m_hWnd, nID);
	::GetWindowRect(hWnd, &rect);
	::ClientToScreen(m_hWnd, &pt);
	if(pt.x >= rect.left && pt.x <= rect.right && pt.y >= rect.top && pt.y <= rect.bottom)
		return true;

	return false;
}
CString CCheckAnswerPage2::GetAnswerCode()
{
	UpdateData(true);
	return m_answercode;
}
void CCheckAnswerPage2::DefaultValue()
{

}

BOOL CCheckAnswerPage2::OnInitDialog() 
{
	CDialog::OnInitDialog();
	if (pluginstatus.bFree)  //Free
	{

		CWnd *pWnd=GetDlgItem(IDC_STATIC_CODE);
		pWnd->ShowWindow(SW_HIDE);
		pWnd=GetDlgItem(IDC_EDIT_ANSWERCODE);
		pWnd->ShowWindow(SW_HIDE);
		
		
		pWnd=GetDlgItem(IDC_STATIC_WHEN);
		pWnd->ShowWindow(SW_HIDE);

		pWnd=GetDlgItem(IDC_STATIC_REGISTER);
		pWnd->ShowWindow(SW_HIDE);		
		pWnd=GetDlgItem(IDC_STATIC_NOREGISTER);
		pWnd->ShowWindow(SW_HIDE);
		pWnd=GetDlgItem(IDC_STATIC_FREE);
		pWnd->ShowWindow(SW_SHOW);
		pWnd=GetDlgItem(IDC_STATIC_SUCESS);
		pWnd->ShowWindow(SW_SHOW);
		
		
	}
	else if (pluginstatus.bReg)  //Register
	{
		CWnd *pWnd=GetDlgItem(IDC_STATIC_CODE);
		pWnd->ShowWindow(SW_HIDE);
		pWnd=GetDlgItem(IDC_EDIT_ANSWERCODE);
		pWnd->ShowWindow(SW_HIDE);
		
		pWnd=GetDlgItem(IDC_STATIC_WHEN);
		pWnd->ShowWindow(SW_HIDE);
		pWnd=GetDlgItem(IDC_STATIC_FREE);
		pWnd->ShowWindow(SW_HIDE);
		pWnd=GetDlgItem(IDC_STATIC_NOREGISTER);

		pWnd->ShowWindow(SW_HIDE);
		pWnd=GetDlgItem(IDC_STATIC_REGISTER);
		pWnd->ShowWindow(SW_SHOW);
		pWnd=GetDlgItem(IDC_STATIC_SUCESS);
		pWnd->ShowWindow(SW_SHOW);
		
	}
	
	else   //NO REGISTER
	{
		CWnd *pWnd=GetDlgItem(IDC_STATIC_CODE);
		pWnd->ShowWindow(SW_SHOW);
		pWnd=GetDlgItem(IDC_EDIT_ANSWERCODE);
		pWnd->ShowWindow(SW_SHOW);
		pWnd=GetDlgItem(IDC_STATIC_NOREGISTER);
		pWnd->ShowWindow(SW_SHOW);
		pWnd=GetDlgItem(IDC_STATIC_WHEN);
		pWnd->ShowWindow(SW_SHOW);
		
		pWnd=GetDlgItem(IDC_STATIC_FREE);
		pWnd->ShowWindow(SW_HIDE);
		pWnd=GetDlgItem(IDC_STATIC_REGISTER);
		pWnd->ShowWindow(SW_HIDE);
		pWnd=GetDlgItem(IDC_STATIC_SUCESS);
		pWnd->ShowWindow(SW_HIDE);
		
		((CIICSetupSheet*)GetParent())->UpdateOkText();

	}

#if COMPANY_TYPE == NEUTRALITY//NEUTRALITY
	NeutralityHideText();
#elif COMPANY_TYPE == SPECIALODM||COMPANY_TYPE ==SPECIALODM_PRIST||COMPANY_TYPE ==ODM_SAELIG||COMPANY_TYPE ==ODM_MEILHAUS//Special ODM
	SpecialChangeText();
#endif

	m_bActive=true;
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
bool	CCheckAnswerPage2::SpecialChangeText()
{
	//The Special ODM can change the text information.
	CWnd *pWnd=GetDlgItem(IDC_STATIC_TEL);
	pWnd->SetWindowText(COMPANY_TELPHONE);	
	pWnd=GetDlgItem(IDC_STATIC_EMAIL2);
	pWnd->SetWindowText(COMPANY_SERVICE_MAIL);
	pWnd=GetDlgItem(IDC_STATIC_WEBSITE2);
	pWnd->SetWindowText(COMPANY_WEB_SITE);
	pWnd=GetDlgItem(IDC_STATIC_COPYRIGHT);
	pWnd->SetWindowText(COMPANY_COPYRIGHT);


	
	return true;
}
void	CCheckAnswerPage2::NeutralityHideText()
{
	//Neutrality Hide Text
	CWnd *pWnd=GetDlgItem(IDC_STATIC_SUCESS);
	pWnd->ShowWindow(SW_HIDE);
	pWnd=GetDlgItem(IDC_STATIC_TEL);
	pWnd->ShowWindow(SW_HIDE);
	pWnd=GetDlgItem(IDC_STATIC_NOREGISTER);
	pWnd->ShowWindow(SW_HIDE);
	pWnd=GetDlgItem(IDC_STATIC_PHONE);
	pWnd->ShowWindow(SW_HIDE);	
	pWnd=GetDlgItem(IDC_STATIC_EMAIL);
	pWnd->ShowWindow(SW_HIDE);
	pWnd=GetDlgItem(IDC_STATIC_EMAIL2);
	pWnd->ShowWindow(SW_HIDE);
	pWnd=GetDlgItem(IDC_STATIC_WEBSITE);
	pWnd->ShowWindow(SW_HIDE);
	pWnd=GetDlgItem(IDC_STATIC_WEBSITE2);
	pWnd->ShowWindow(SW_HIDE);	
	pWnd=GetDlgItem(IDC_STATIC_COPYRIGHT);
	pWnd->ShowWindow(SW_HIDE);
	
}