
#if !defined(AFX_TRANSPARENTBITMAP_H__27F637A1_DFC3_11D3_9D8C_0050DA1F213A__INCLUDED_)
#define AFX_TRANSPARENTBITMAP_H__27F637A1_DFC3_11D3_9D8C_0050DA1F213A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TransparentBitmap.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTransparentBitmap - class for drawing a transparent Bitmap

class CTransparentBitmap : public CStatic
{
// Construction
public:
	CTransparentBitmap();

// Operations
public:
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTransparentBitmap)
	//}}AFX_VIRTUAL

// Implementation
public:
	//Initializations
	void Initialize( HBITMAP hBitmap, COLORREF oMaskColor, double dX = 1.0, double dY = 1.0 );
	//Changing the Current Displayed Bitmap
	void ChangeBitmap(HBITMAP hBitmap);
	//Generated message map functions
protected:
	//{{AFX_MSG(CTransparentBitmap)
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	
private:
	//Pointer to the Bitmap
	CBitmap* m_poBitmap;
	//Size
	int m_iSizeX, m_iSizeY;
	//Transparent Color
	COLORREF m_oMaskColor;
	//Erase Falg
	BOOL m_bErase;
	double m_dX;
	double m_dY;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRANSPARENTBITMAP_H__27F637A1_DFC3_11D3_9D8C_0050DA1F213A__INCLUDED_)

