#if !defined(AFX_OLORBUTTON_H__31B50127_1863_4D1F_90FD_58397C92927B__INCLUDED_)
#define AFX_OLORBUTTON_H__31B50127_1863_4D1F_90FD_58397C92927B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// olorButton.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// ColorButton window

class ColorButton : public CButton//Set the color of the button
{
// Construction
public:
	ColorButton();
// Attributes
public:
	COLORREF					m_clrFaceColor;
private:
	BOOL						m_bButtonStatus;
	BOOL						m_bButtonDownStatus;
// Operations
public:
	void						ChangeAddBarColor(int count);//Change the color
	bool						SetFaceColor(COLORREF clr);  //Set the foreground color
	COLORREF					GetFaceColor();              //Get the foreground color
	void						ReDrawButton();              //I2C
	bool						FinBaseColor(COLORREF clr);  //Find whether the basic color is matched,it is ture to find out
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(ColorButton)
	public:
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~ColorButton();
	// Generated message map functions
protected:
	//{{AFX_MSG(ColorButton)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnEnable(BOOL bEnable = TRUE);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OLORBUTTON_H__31B50127_1863_4D1F_90FD_58397C92927B__INCLUDED_)
