// MSParamters.cpp: implementation of the CMSCustomizePara class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include <vector>
using namespace std;
#include "MSCustizeRulePara.h"
#include   <algorithm> 


#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CMSCustomizePara::CMSCustomizePara()
{

}

CMSCustomizePara::~CMSCustomizePara()
{

}

void CMSCustomizePara::FreeArray()
{
	m_objMSbinaryAry.clear();		//Save the array of the Flag which uses the Binary Ary.
	m_objMSdecimalsAry.clear();		//Save the array of the Flag which uses the Decimal Ary, eg:data.
	m_objMShexAry.clear();			//Save the array of the Flag which uses the Hexidecimal Ary, eg:cmd. 
	m_objMSASCIIAry.clear();		//Save the array of the Flag which uses the ASCII Ary.
	m_objMSReserveAry.clear();
}
bool CMSCustomizePara::SetBinaryAryRange(int nRange)
{
	m_objMSbinaryAry.resize(nRange);
	return true;
}
bool CMSCustomizePara::SetDecimalAryRange(int nRange)
{
	m_objMSdecimalsAry.resize(nRange);
	return true;
}
bool CMSCustomizePara::SetHexRange(int nRange)
{
	m_objMShexAry.resize(nRange);
	return true;
}
bool CMSCustomizePara::SetASCIIAryRange(int nRange)
{
	m_objMSASCIIAry.resize(nRange);
	return true;
}
bool CMSCustomizePara::SetResverveAryRange(int nRange)
{
	m_objMSReserveAry.resize(nRange);
	return true;
}
bool CMSCustomizePara::FindIsBinary(short nFlag)
{	
	vector<short>::iterator   iter;   
	iter=find(m_objMSbinaryAry.begin(),m_objMSbinaryAry.end(),nFlag);   
	if (iter!=m_objMSbinaryAry.end())
		return true;	
	
	return false;
}
bool CMSCustomizePara::FindIsDecimal(short nFlag)
{
	vector<short>::iterator   iter;   
	iter=find(m_objMSdecimalsAry.begin(),m_objMSdecimalsAry.end(),nFlag);   
	if (iter!=m_objMSdecimalsAry.end())
		return true;
	
	return false;
}
bool CMSCustomizePara::FindIsHex(short nFlag)
{
	vector<short>::iterator   iter;   
	iter=find(m_objMShexAry.begin(),m_objMShexAry.end(),nFlag);   
	if (iter!=m_objMShexAry.end())
		return true;
	return false;
}
bool CMSCustomizePara::FindIsASCII(short nFlag)
{
	vector<short>::iterator   iter;   
	iter=find(m_objMSASCIIAry.begin(),m_objMSASCIIAry.end(),nFlag);   
	if (iter!=m_objMSASCIIAry.end())
		return true;
	return false;
}